따스한어묵

리습이 기준점 지정 후 왼쪽 / 중심 / 오른쪽 정렬해주는 리습인데 이걸 중간왼쪽 / 중간중심 / 중간오른쪽 으로 설정을 바꿀 수는 없나요..? 리습 수정을 해보다가 기준점에 멀리 떨어져 정렬되는 오류가 계속 나와 질문드립니다. 아래 첨부 리습은 원본입니다.. 부탁드려요 ㅠㅠ (defun c:twc(/ myerror os ss ...더 읽기

  1. (defun c:twc(/ myerror os ss n ptx pty pyxy kw k en tx a) ;start --- Internal error handler ----------------------------- (defun myerror(S) (if (/= s "Function cancelled")(princ (strcat "\nError:" s))) (setvar "osmode" os) (setvar "blipmode" bl) (setq *error* olderr)(princ) ) (setq olderr *error* *e더 읽기


    (defun c:twc(/ myerror os ss n ptx pty pyxy kw k en tx a)
    ;start --- Internal error handler -----------------------------
    (defun myerror(S)
    (if (/= s "Function cancelled")(princ (strcat "\nError:" s)))
    (setvar "osmode" os) (setvar "blipmode" bl)
    (setq *error* olderr)(princ) )
    (setq olderr *error* *error* myerror)
    ;end-----------------------------------------------------------
    (setq os (getvar "osmode"))
    (prompt " 문자 좌우 정렬...")
    (setq ss (ssget '((0 . "text")))) (terpri)
    (setq n (sslength ss))
    (setq ptx (car (getpoint "\n기준점 선택 ")))(terpri)
    (setvar "osmode" 0)
    (setq a "자리맞추기 선택[왼쪽(L)/중심(C)/오른쪽(R)] : ")
    (initget "mL mC mR")
    (setq kw (getkword a))
    (if (= kw nil) (setq kw "ml"))
    (if (= kw "ml") (setq sn 10) (setq sn 11))
    (command "justifytext" ss "" kw) (terpri)
    (setq k 0)
    (while (<= 1 n)
    (setq en (ssname ss k))
    (setq ptxy (cdr (assoc 10 (entget en))) )
    (setq pty (cadr ptxy))
    (setq pt2 (list ptx pty))
    (entmod (subst (cons sn pt2) (assoc sn (entget en))(entget en)))
    (setq n (- n 1))
    (setq k (+ k 1))
    )
    (setvar "osmode" os)
    (princ)
    )

    이렇게 바꾸시면 됩니다.

    ;

    See less
    • 0
익명
익명

납품된 도면 중간에 평면도 한장 추가하게되면 목록표에서 번호 한개씩 뒤로 다 미루나요? 아니면 맨 마지막 끝번호로 부여 해 주나요?   Rev 표시해야 되서 질문드립니다 ㅠㅠ//

호떡ㅋ

WBLOCK를 사용해 도면 분리를 진행하는 리습입니다. 여러 도면이 있는 파일과 같은 폴더로 저장이 가능하게 변경이 가능할까요? 현재는 C드라이브에 BLOCK를 만들어야 사용이 가능합니다. |; (defun c:WW (/ ss ins bn path os cm e) ;->*error* start (defun *error* (msg)(princ "error: ")(princ ...더 읽기

  1. 답변이 수정되었습니다.

    (setq path (strcat "c:/block/" bn ".dwg")) ; c:/block/폴더 작성 필요 - 현재 줄을. (setq path (getfiled "블럭 파일 저장하기" (if gn (strcat(getvar 'dwgprefix) bn) "파일명 없음") "dwg" 3)) ;;- 으로 변경 하면 됩니다. 파일명을 선택 못했을때는 "파일명 없음"으로 됩니다.

    (setq path (strcat "c:/block/" bn ".dwg")) ; c:/block/폴더 작성 필요 – 현재 줄을.

    (setq path (getfiled "블럭 파일 저장하기" (if gn (strcat(getvar 'dwgprefix) bn) "파일명 없음") "dwg" 3)) ;;- 으로 변경 하면 됩니다. 파일명을 선택 못했을때는 "파일명 없음"으로 됩니다.

    See less
    • 0
gogogo

육교 캐드 도면 필요해요 보내주시면 감사하겠습니다!

  1. 답변이 수정되었습니다.

    안녕하세요 고서치입니다! 요청하신 파일은 고서치가 자료실에 짜잔 하고 선물로 남겨두었어요! 🔽🔽 아래 링크를 참고해주세요 🔽🔽 https://www.gocad.co.kr/%ec%9e%90%eb%a3%8c%ec%8b%a4/?q=%EC%9E%90%EB%A3%8C%EC%8B%A4%2F&mod=document&pageid=1&uid=13825&execute_uid=13825 혹시 또 고서치의 도움이 필요할때는 화면 오른쪽 👉🏻👉🏻👉🏻 [인기 커뮤니티 그룹] 메뉴 내 고서치의 인터넷검색기행을 찾아와주세요 😎

    안녕하세요 고서치입니다!

    요청하신 파일은 고서치가 자료실에

    짜잔 하고 선물로 남겨두었어요!

    🔽🔽 아래 링크를 참고해주세요 🔽🔽

    자료실

    혹시 또 고서치의 도움이 필요할때는 화면 오른쪽 👉🏻👉🏻👉🏻

    [인기 커뮤니티 그룹] 메뉴 내 고서치인터넷검색기행을 찾아와주세요 😎

    See less
    • 0
캐드박사사

제가 쓰는 단축키가 있는데 컴 바꾸고 매개변수편집 다하고 확인까지 다했는데 명령어가 먹질 않네요 인수가 너무많습니다 라고 뜨는데 해결할수있나요,, ㅠㅠ

  1. 매개 변수는 함수를 호출할때 사용하는 변수 입니다. 콜 명령과 호출함수에 변수가 같아야 합니다. 첨부 이미지와 같이 코팅후 테스트 해 보십시오.

    매개 변수는 함수를 호출할때 사용하는 변수 입니다.
    콜 명령과 호출함수에 변수가 같아야 합니다.

    첨부 이미지와 같이 코팅후 테스트 해 보십시오.

    See less
    • 0
유니짜장

오토캐드 도면 스케일 줄일 때 치수선은 그대로인데 같이 줄일 방법은 없나요? 사진이 원래 크기에서 전체 선택해서 스케일을 줄인 거에요

  1. 치수 객체 선택해서 속성창 보시면 'Dim scale overall' 이 있습니다. 이거 스케일 값 조절하시면 문자크기랑 화살표 크기도 변해용~

    치수 객체 선택해서 속성창 보시면 'Dim scale overall' 이 있습니다.

    이거 스케일 값 조절하시면 문자크기랑 화살표 크기도 변해용~

    See less
    • 0
후썹

제 캐드에는 저런 십자선이 보이지 않는데 프린트를 하면 저렇게 같이 나오는데 어떻게 해야 될지 모르겟습니다…. 제 자리 캐드에서는 안보이는데 해결방법이 있을까요?? 캐드 내에서 아예 잡히는것이 없는데 도면층을 끈것도 딱히 없고 삭제를 한건지 아예 표시되는게 없습니다… 제발 알려주세요 ...더 읽기

  1. 안녕하세요 고서치입니다! 고캐드 내 기존 질문들과 오토데스크 홈페이지 검색 결과 관련 있어 보이는 항목을 가져왔어요! 😎 아래 링크들을 통해 확인해보시고 해결되지 않는다면 사이트 우측 그룹 메뉴 중 고서치의 인터넷검색기행에서 고서치를 찾아주세요~   https://www.gocad.co.kr/question/%ec%9e%91%ec%9d%80-%ec%8b%ad%ec%9e%90-%eb%a7%88%ed%81%ac-%ec%9e%94%ec%83%81/ https://knowledge.autodesk.com/ko/support/aut더 읽기

    안녕하세요 고서치입니다!

    고캐드 내 기존 질문들과 오토데스크 홈페이지 검색 결과

    관련 있어 보이는 항목을 가져왔어요! 😎

    아래 링크들을 통해 확인해보시고 해결되지 않는다면

    사이트 우측 그룹 메뉴 중 고서치인터넷검색기행에서

    고서치를 찾아주세요~

     

    작은 십자 마크 잔상

    https://knowledge.autodesk.com/ko/support/autocad/troubleshooting/caas/sfdcarticles/sfdcarticles/KOR/Unwanted-lines-show-up-on-plotted-output-from-AutoCAD.html

    See less
    • 0
고서치

투표 결과

61.54%대한민국 승리 ( 8 투표자 )
30.77%무승부 ( 4 투표자 )
7.69%우루과이 승리 ( 1 투표자 )
전체 13 표

선택해주세요.

계속되는 아시아 팀의 마법 같은 대역전극! 🌈 과연 대한민국 대표팀의 운명은!?  22-11-22 / 🇦🇷 아르헨티나 vs 사우디아라비아 🇸🇦 = 사우디아라비아의 1:2 역전극 22-11-23 / 🇩🇪 독일 vs 일본 🇯🇵 = 일본의 1:2 역전극 22-11-24 / 🇰🇷 대한민국 vs 우루과이 🇺🇾 = ???? 더 읽기

  1. 3:1 승 가즈아~~

    3:1 승 가즈아~~

    See less
    • 1
손상훈

레이어 잠금 관련 질문입니다. 전체 잠금 / 전체 해제 ;;;전체 잠금 (defun c:gg() (setvar "cmdecho" 0) (command "_layer" "LO" "*" "") (princ) ) ;;;잠금 해제 (defun c:hh() (setvar "cmdecho" 0) (command "_layer" "U" "*" "") (princ) ) 이렇게 만들어서 쓰고 있는데. 여기서 추가적으로 리습을 ...더 읽기

  1. CATS에 레이어 관련 기능들이 있습니다. 혹시 꼭 리습을 만들어 쓰셔야하는 것이 아니라면 참고해주세요 ^^ https://cafe.naver.com/autocats/1945 L0 : 모든 레이어 켜기 / 동결 해제 / 잠금 해제 L1 : 선택 레이어 제외 끄기 L2 : 선택 레이어 제외 잠금 L3 : 선택 레이어 제외 동결​ L4 : 선택 레이어 끄기 L5 : 선택 레이어 잠금 L6 : 선택 레이어 동결 L7 : 모든 레이어 켜기 L8 : 선택 객체만 화면에 보이기 L9 : 선택 객체 화면 끄기

    CATS에 레이어 관련 기능들이 있습니다.

    혹시 꼭 리습을 만들어 쓰셔야하는 것이 아니라면 참고해주세요 ^^

    https://cafe.naver.com/autocats/1945

    L0 : 모든 레이어 켜기 / 동결 해제 / 잠금 해제

    L1 : 선택 레이어 제외 끄기
    L2 : 선택 레이어 제외 잠금
    L3 : 선택 레이어 제외 동결​

    L4 : 선택 레이어 끄기
    L5 : 선택 레이어 잠금
    L6 : 선택 레이어 동결

    L7 : 모든 레이어 켜기
    L8 : 선택 객체만 화면에 보이기
    L9 : 선택 객체 화면 끄기

    See less
    • 0
h862281@hanmail.net

플롯을 하면 "장치를 찾을수 없거나 드라이버에 문제가 있습니다. 플롯장치없음" 이라는 문자가 떠서 프린터를 할 수가 없습니다. 어떻게 해결하면 되나요?

  1. 해당 프린터 제조사 홈페이지에서 PCL 드라이버를 다운로드 받아 설치하세요.

    해당 프린터 제조사 홈페이지에서 PCL 드라이버를 다운로드 받아 설치하세요.

    See less
    • 1
익명
익명

사용하는 캐드는 2009입니다. 특정 해치만 w블록을 잡으면 치명적인 에러가 걸립니다. ㅠㅠ 혹시 해결방법아시는분 공유 부탁드립니다.    

  1. 2009 버전이면 윈도우 7까지만 지원할 겁니다. 이후의 OS에서는 얘기치 못한 오류가 발생할 수 있습니다.

    2009 버전이면 윈도우 7까지만 지원할 겁니다. 이후의 OS에서는 얘기치 못한 오류가 발생할 수 있습니다.

    See less
    • 0
익명

하나씩 힘들게 구하고있는데 폴리선 한번에 구하는 리습있나요~?

  1. CATS에 폴리선 각각의 선분에 길이를 적어주는 기능이 있습니다 참고해주세요 ^^ https://cafe.naver.com/autocats/561

    CATS에 폴리선 각각의 선분에 길이를 적어주는 기능이 있습니다

    참고해주세요 ^^

    https://cafe.naver.com/autocats/561

    See less
    • 0
삼바바

도면 용량이 20메가 정도 됩니다. 그렇게 크진 않은 것 같은데 버퍼링이 있습니다. 프로그램 내에서 손볼 만한게 있을까요? 고수님들 답변 부탁 드립니다.

  1. 답변이 수정되었습니다.

    overkill 명령으로 중복 객체를 제거합니다. (express tool이 설치되어 있어야 실행됩니다.) purge 명령으로 사용하지 않는 도면층, 블록, 각종 스타일 등을 제거합니다. audit 명령으로 잠재적 오류를 제거합니다. 그래픽카드 드라이버를 업데이트합니다.

    overkill 명령으로 중복 객체를 제거합니다.

    (express tool이 설치되어 있어야 실행됩니다.)

    purge 명령으로 사용하지 않는 도면층, 블록, 각종 스타일 등을 제거합니다.

    audit 명령으로 잠재적 오류를 제거합니다.

    그래픽카드 드라이버를 업데이트합니다.

    See less
    • 0
웃꼬
Lv.0

안녕하세요. stp파일을  캐드에서 열어 보니 선들이 깨져서 보이는데 출력도 부분부분  끊어지고 선들이 깨져서(톱니바퀴) 나옵니다.  선속성보니 spline이더라구요. 외부파일들은 열면 다 이렇게 나오는건지 아니면 해결방법이 있는건지 고수님들 알려주시면 감사하겠습니다~! 복 많이 받으세요~!

  1. 답변이 수정되었습니다.

    주로 3D CAD에서 stp 파일로 내보냅니다. 2D(dwg 또는 dxf)로 변환해서 보내 달라고 요청해 보세요.

    주로 3D CAD에서 stp 파일로 내보냅니다.

    2D(dwg 또는 dxf)로 변환해서 보내 달라고 요청해 보세요.

    See less
    • 1
송아영

오토캐드 3D 를 2D 로 변환 하는법있나요??

  1. 캐드에서는 fshot명령으로 3d를 2d 로 변환가능한데 정면 평면 우측면 각각 변환 해야되어서 손이 많이감   인벤터나 솔리드웍스등 3d프로그램에서 2d화 하면 쉽게 변환 가능합니다

    캐드에서는

    fshot명령으로 3d를 2d 로 변환가능한데

    정면 평면 우측면 각각 변환 해야되어서 손이 많이감

     

    인벤터나 솔리드웍스등 3d프로그램에서 2d화 하면 쉽게 변환 가능합니다

    See less
    • 0
hongja

기존 텍스트에 특정 텍스를 기입하는 리습니다. 현제는 단일 선택으로 하나씩 눌려 변경하여야 하는데 여러개 객체를 한번에 선택 할수 있는 코드를 어디에서 바꿔야 할까요?   (defun C:PHT ( / TXT_String LOC ELIST EntType Old_TXT Chk_TXT EntType SUB Sub_Ent) (while (= TXT_String nil); ...더 읽기

  1. 답변이 수정되었습니다.

    코드를 올리실 경우 공지 사항 한번 읽어 보시고 올리세요 이 리습은 전체를 새로운 구문으로 둘러야 합니다 그런데 이런식으로 코드를 게시하면 수정 하시는 분이 이거 드래그 해서 노가다 해야 합니다.

    코드를 올리실 경우 공지 사항 한번 읽어 보시고 올리세요

    이 리습은 전체를 새로운 구문으로 둘러야 합니다 그런데 이런식으로 코드를 게시하면 수정 하시는 분이 이거 드래그 해서 노가다 해야 합니다.

    See less
    • 0